# Nutze die stabile Node.js 20 Version auf Alpine-Linux (sehr klein & sicher)
FROM node:20-alpine
WORKDIR /app

# Kopiere die Paketlisten und installiere nur notwendige Produktions-Pakete
COPY package*.json ./
RUN npm install --production

# Kopiere den gesamten restlichen Programmcode in den Container
COPY . .

# Informiere Docker, dass die App auf Port 3000 hört
EXPOSE 3000

# Starte den Node.js Server
CMD ["node", "server.js"]